aboutsummaryrefslogtreecommitdiffstats
path: root/devel/ptlib
diff options
context:
space:
mode:
Diffstat (limited to 'devel/ptlib')
-rw-r--r--devel/ptlib/Makefile140
-rw-r--r--devel/ptlib/distinfo2
-rw-r--r--devel/ptlib/files/extra-src_ptlib_unix_socket.cxx13
-rw-r--r--devel/ptlib/files/patch-Makefile.in41
-rw-r--r--devel/ptlib/files/patch-include_ptclib_vsdl.h11
-rw-r--r--devel/ptlib/files/patch-make_lib.mak14
-rw-r--r--devel/ptlib/files/patch-plugins_configure395
-rw-r--r--devel/ptlib/files/patch-plugins_vidinput_bsd_h22
-rw-r--r--devel/ptlib/files/patch-src__ptlib__common__osutils.cxx27
-rw-r--r--devel/ptlib/files/patch-src__ptlib__unix__svcproc.cxx26
-rw-r--r--devel/ptlib/files/patch-src__ptlib__unix__tlib.cxx11
-rw-r--r--devel/ptlib/files/patch-src__ptlib__unix__tlibthrd.cxx47
-rw-r--r--devel/ptlib/files/patch-src_ptclib_vsdl.cxx11
-rw-r--r--devel/ptlib/pkg-descr7
-rw-r--r--devel/ptlib/pkg-plist184
15 files changed, 0 insertions, 951 deletions
diff --git a/devel/ptlib/Makefile b/devel/ptlib/Makefile
deleted file mode 100644
index 6b18ede7464a..000000000000
--- a/devel/ptlib/Makefile
+++ /dev/null
@@ -1,140 +0,0 @@
-# Created by: Roger Hardiman <roger@FreeBSD.org>
-# $FreeBSD$
-
-PORTNAME= ptlib
-PORTVERSION= 2.4.4
-PORTREVISION= 2
-CATEGORIES= devel
-MASTER_SITES= ${MASTER_SITE_GNOME}
-MASTER_SITE_SUBDIR= sources/ptlib/2.4
-DISTNAME= ptlib-${PORTVERSION}
-
-MAINTAINER= gnome@FreeBSD.org
-COMMENT= Cross platform C++ library, used by OpenH323
-
-LIB_DEPENDS= expat.6:${PORTSDIR}/textproc/expat2
-
-CONFLICTS= pwlib-1.* ptlib-2.6.*
-
-USES= bison gmake pkgconfig
-GNU_CONFIGURE= yes
-WANT_SDL= yes
-USE_OPENSSL= yes
-USE_LDCONFIG= yes
-
-NO_LATEST_LINK= yes
-
-NO_STAGE= yes
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} >= 800059
-EXTRA_PATCHES= ${FILESDIR}/extra-src_ptlib_unix_socket.cxx
-.endif
-
-CONFIGURE_ENV= \
- OPENSSL_CFLAGS="-I/usr/include" \
- OPENSSL_LIBS="-lssl"
-CONFIGURE_ARGS+= \
- --disable-atomicity \
- --with-expat-dir="${LOCALBASE}" \
- --enable-oss \
- --enable-alsa=no \
- --disable-odbc
-ALL_TARGET= optshared
-
-# if explicitely asked for, depend upon it
-.if defined(WITH_SDL)
-USE_SDL+= sdl
-CONFIGURE_ENV+= SDL_CFLAGS="`sdl-config --cflags`" \
- SDL_LIBS="`sdl-config --libs`"
-MAKE_ENV+= SDL_CFLAGS="`sdl-config --cflags`" \
- SDL_LIBS="`sdl-config --libs`"
-.endif
-
-# if explicitely disabled, do not depend upon it
-.if defined(WITHOUT_SDL)
-CONFIGURE_ARGS+= --disable-sdl
-.endif
-
-# if nobody cares, use it if it is installed already
-.if !defined(WITHOUT_SDL) && !defined(WITH_SDL)
-.if ${HAVE_SDL:Msdl}
-USE_SDL+= sdl
-CONFIGURE_ENV+= SDL_CFLAGS="`sdl-config --cflags`" \
- SDL_LIBS="`sdl-config --libs`"
-MAKE_ENV+= SDL_CFLAGS="`sdl-config --cflags`" \
- SDL_LIBS="`sdl-config --libs`"
-.else
-CONFIGURE_ARGS+= --disable-sdl
-.endif
-.endif
-
-.if !defined(WITHOUT_PLUGINS)
-CONFIGURE_ARGS+= --enable-plugins
-.endif
-
-#disable OpenLDAP support in PWLIB
-.if defined(WITHOUT_LDAP)
-CONFIGURE_ARGS+= --disable-openldap
-.else
-USE_OPENLDAP= yes
-CONFIGURE_ARGS+= --enable-openldap --with-ldap-dir="${LOCALBASE}"
-.endif
-
-# ONLY FOR THE BRAVE!
-# If someone owns a firewire(4) video device and wants to use it for
-# video-conferencing purposes, please download the files:
-# libraw1394.shar.gz, libavc1394.shar.gz and libdc1394.shar.gz from
-# ftp://ftp.frm2.tum.de/pub/jpulz/FreeBSD/ports/
-# Extract the files in ${PORTSDIR}/devel and uncomment the following lines.
-#
-##enable libavc1394
-#.if defined(WITH_AVC1394)
-#LIB_DEPENDS+= avc1394.2:${PORTSDIR}/devel/libavc1394 \
-# dv.4:${PORTSDIR}/multimedia/libdv
-#CONFIGURE_ARGS+= --enable-avc
-#PLIST_SUB+= AVC1394=""
-#.else
-CONFIGURE_ARGS+= --disable-avc
-PLIST_SUB+= AVC1394="@comment "
-#.endif
-#
-##enable libdc1394
-#.if defined(WITH_DC1394)
-#LIB_DEPENDS+= dc1394_control.13:${PORTSDIR}/devel/libdc1394
-#CONFIGURE_ARGS+= --enable-dc
-#PLIST_SUB+= DC1394=""
-#.else
-CONFIGURE_ARGS+= --disable-dc
-PLIST_SUB+= DC1394="@comment "
-#.endif
-
-.if (${ARCH} == "amd64") || (${ARCH} == "ia64") || (${ARCH} == "sparc64")
-CFLAGS+= -fPIC
-.endif
-
-.if (${ARCH} == "i386") || (${ARCH} == "ia64") || (${ARCH} == "amd64") || (${ARCH} == "powerpc") || (${ARCH} == "sparc64")
-CONFIGURE_ARGS+=--enable-bsdvideo
-PLIST_SUB+= BSDVIDEO=""
-.else
-CONFIGURE_ARGS+=--disable-bsdvideo
-PLIST_SUB+= BSDVIDEO="@comment "
-.endif
-
-.if defined(WITH_V4L) || ( exists(${LOCALBASE}/include/linux/videodev.h) && \
- !defined(WITHOUT_V4L) )
-CONFIGURE_ARGS+=--enable-v4l
-PLIST_SUB+= V4L=""
-BUILD_DEPENDS+= ${LOCALBASE}/include/linux/videodev.h:${PORTSDIR}/multimedia/v4l_compat
-.else
-CONFIGURE_ARGS+=--disable-v4l
-PLIST_SUB+= V4L="@comment "
-.endif
-
-post-patch:
-.if ${ARCH} == sparc64 && ${OSVERSION} <= 700003
- @${REINPLACE_CMD} -e 's|P_PTHREADS_XPG6|0|' \
- ${WRKSRC}/src/ptlib/unix/tlibthrd.cxx
-.endif
-
-.include <bsd.port.post.mk>
diff --git a/devel/ptlib/distinfo b/devel/ptlib/distinfo
deleted file mode 100644
index c0c45ba10120..000000000000
--- a/devel/ptlib/distinfo
+++ /dev/null
@@ -1,2 +0,0 @@
-SHA256 (ptlib-2.4.4.tar.gz) = bb8ba95d522f0767d8e3bead7512a05fbffce5abaeb9ec1c6e1ed2ccc02a24d1
-SIZE (ptlib-2.4.4.tar.gz) = 4308282
diff --git a/devel/ptlib/files/extra-src_ptlib_unix_socket.cxx b/devel/ptlib/files/extra-src_ptlib_unix_socket.cxx
deleted file mode 100644
index 733c579b31d8..000000000000
--- a/devel/ptlib/files/extra-src_ptlib_unix_socket.cxx
+++ /dev/null
@@ -1,13 +0,0 @@
---- src/ptlib/unix/socket.cxx.orig 2009-12-12 11:42:03.000000000 +0800
-+++ src/ptlib/unix/socket.cxx 2009-12-12 11:46:09.000000000 +0800
-@@ -1144,10 +1144,6 @@ PBoolean process_rtentry(struct rt_msghd
- if ((~rtm->rtm_flags&RTF_LLINFO)
- #if defined(P_NETBSD) || defined(P_QNX)
- && (~rtm->rtm_flags&RTF_CLONED) // Net BSD has flag one way
--#elif !defined(P_OPENBSD)
-- && (~rtm->rtm_flags&RTF_WASCLONED) // Free BSD/MAC has it another
--#else
-- // Open BSD does not have it at all!
- #endif
- ) {
-
diff --git a/devel/ptlib/files/patch-Makefile.in b/devel/ptlib/files/patch-Makefile.in
deleted file mode 100644
index cfd51e5ab9e7..000000000000
--- a/devel/ptlib/files/patch-Makefile.in
+++ /dev/null
@@ -1,41 +0,0 @@
---- Makefile.in.orig 2009-01-12 06:53:18.000000000 +0800
-+++ Makefile.in 2009-02-23 10:03:52.000000000 +0800
-@@ -85,11 +85,11 @@
- $(DESTDIR)$(PREFIX)/share/ptlib/make ; \
- do mkdir -p $$dir ; chmod 755 $$dir ; \
- done )
-- $(INSTALL) -m 444 $(PT_LIBDIR)/$(PTLIB_FILE).@MAJOR_VERSION@.@MINOR_VERSION@@BUILD_TYPE@@BUILD_NUMBER@ $(DESTDIR)$(LIBDIR)
-+ $(INSTALL) -m 444 $(PT_LIBDIR)/$(PTLIB_FILE).@MAJOR_VERSION@ $(DESTDIR)$(LIBDIR)
- $(INSTALL) -m 444 $(PT_LIBDIR)/lib$(PTLIB_BASE)_s.a $(DESTDIR)$(LIBDIR)
- (cd $(DESTDIR)$(LIBDIR) ; \
- rm -f $(PTLIB_FILE) ; \
-- ln -sf $(PTLIB_FILE).@MAJOR_VERSION@.@MINOR_VERSION@@BUILD_TYPE@@BUILD_NUMBER@ $(PTLIB_FILE) \
-+ ln -sf $(PTLIB_FILE).@MAJOR_VERSION@ $(PTLIB_FILE) \
- )
- ifeq (1, $(HAS_PLUGINS))
- if test -e $(PT_LIBDIR)/device/; then \
-@@ -120,9 +120,9 @@
- $(INSTALL) -m 755 make/ptlib-config $(DESTDIR)$(PREFIX)/share/ptlib/make/
- (cd $(DESTDIR)$(PREFIX)/bin; rm -f ptlib-config ; ln -snf ../share/ptlib/make/ptlib-config ptlib-config)
-
-- mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
-- chmod 755 $(DESTDIR)$(LIBDIR)/pkgconfig
-- $(INSTALL) -m 644 ptlib.pc $(DESTDIR)$(LIBDIR)/pkgconfig/
-+ mkdir -p $(DESTDIR)$(PREFIX)/libdata/pkgconfig
-+ chmod 755 $(DESTDIR)$(PREFIX)/libdata/pkgconfig
-+ $(INSTALL) -m 644 ptlib.pc $(DESTDIR)$(PREFIX)/libdata/pkgconfig/
- uninstall:
- rm -rf $(DESTDIR)$(PREFIX)/include/ptlib \
- $(DESTDIR)$(PREFIX)/include/ptclib \
-@@ -130,9 +130,9 @@
- $(DESTDIR)$(PREFIX)/include/ptbuildopts.h \
- $(DESTDIR)$(PREFIX)/share/ptlib \
- $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR) \
-- $(DESTDIR)$(LIBDIR)/pkgconfig/ptlib.pc
-+ $(DESTDIR)$(PREFIX)/libdata/pkgconfig/ptlib.pc
- rm -f $(DESTDIR)$(LIBDIR)/lib$(PTLIB_BASE)_s.a \
- $(DESTDIR)$(LIBDIR)/$(PTLIB_FILE) \
-- $(DESTDIR)$(LIBDIR)/$(PTLIB_FILE).@MAJOR_VERSION@.@MINOR_VERSION@@BUILD_TYPE@@BUILD_NUMBER@
-+ $(DESTDIR)$(LIBDIR)/$(PTLIB_FILE).@MAJOR_VERSION@
-
- # End of Makefile.in
diff --git a/devel/ptlib/files/patch-include_ptclib_vsdl.h b/devel/ptlib/files/patch-include_ptclib_vsdl.h
deleted file mode 100644
index 9a375b4df972..000000000000
--- a/devel/ptlib/files/patch-include_ptclib_vsdl.h
+++ /dev/null
@@ -1,11 +0,0 @@
---- include/ptclib/vsdl.h.orig 2008-09-25 14:51:15.000000000 +0800
-+++ include/ptclib/vsdl.h 2008-09-25 14:52:15.000000000 +0800
-@@ -33,7 +33,7 @@
-
- #include <ptlib.h>
- #if defined(P_FREEBSD)
--#include <SDL11/SDL.h>
-+#include <SDL.h>
- #else
- #include <SDL/SDL.h>
- #endif
diff --git a/devel/ptlib/files/patch-make_lib.mak b/devel/ptlib/files/patch-make_lib.mak
deleted file mode 100644
index 4100edf647e7..000000000000
--- a/devel/ptlib/files/patch-make_lib.mak
+++ /dev/null
@@ -1,14 +0,0 @@
---- make/lib.mak.orig 2008-10-17 17:02:51.000000000 +0800
-+++ make/lib.mak 2009-02-23 10:18:32.000000000 +0800
-@@ -30,9 +30,9 @@
-
- ifneq ($(OSTYPE),Darwin)
- ifeq ($(BUILD_TYPE),.)
-- LIBNAME_PAT = $(LIB_FILENAME).$(MAJOR_VERSION).$(MINOR_VERSION).$(BUILD_NUMBER)
-+ LIBNAME_PAT = $(LIB_FILENAME).$(MAJOR_VERSION)
- else
-- LIBNAME_PAT = $(LIB_FILENAME).$(MAJOR_VERSION).$(MINOR_VERSION)-$(BUILD_TYPE)$(BUILD_NUMBER)
-+ LIBNAME_PAT = $(LIB_FILENAME).$(MAJOR_VERSION)
- endif
- else
- ifeq ($(BUILD_TYPE),.)
diff --git a/devel/ptlib/files/patch-plugins_configure b/devel/ptlib/files/patch-plugins_configure
deleted file mode 100644
index 3dba91a2b335..000000000000
--- a/devel/ptlib/files/patch-plugins_configure
+++ /dev/null
@@ -1,395 +0,0 @@
---- plugins/configure.orig 2008-09-15 16:26:48.000000000 +0800
-+++ plugins/configure 2009-02-23 20:09:39.000000000 +0800
-@@ -4993,6 +4993,268 @@ fi
-
-
- if test "${enable_bsdvideo}z" = "yesz" ; then
-+ if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
-+ { echo "$as_me:$LINENO: checking for dev/bktr/ioctl_meteor.h" >&5
-+echo $ECHO_N "checking for dev/bktr/ioctl_meteor.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_meteor_h" >&5
-+echo "${ECHO_T}$ac_cv_header_ioctl_meteor_h" >&6; }
-+else
-+ # Is the header compilable?
-+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_meteor.h usability" >&5
-+echo $ECHO_N "checking dev/bktr/ioctl_meteor.h usability... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+$ac_includes_default
-+#include <dev/bktr/ioctl_meteor.h>
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_compile") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest.$ac_objext; then
-+ ac_header_compiler=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_header_compiler=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-+echo "${ECHO_T}$ac_header_compiler" >&6; }
-+
-+# Is the header present?
-+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_meteor.h presence" >&5
-+echo $ECHO_N "checking dev/bktr/ioctl_meteor.h presence... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+#include <dev/bktr/ioctl_meteor.h>
-+_ACEOF
-+if { (ac_try="$ac_cpp conftest.$ac_ext"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } >/dev/null && {
-+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ }; then
-+ ac_header_preproc=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_header_preproc=no
-+fi
-+
-+rm -f conftest.err conftest.$ac_ext
-+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-+echo "${ECHO_T}$ac_header_preproc" >&6; }
-+
-+# So? What about this header?
-+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-+ yes:no: )
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the compiler's result" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the compiler's result" >&2;}
-+ ac_header_preproc=yes
-+ ;;
-+ no:yes:* )
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: present but cannot be compiled" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: present but cannot be compiled" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: check for missing prerequisite headers?" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: check for missing prerequisite headers?" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: see the Autoconf documentation" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: see the Autoconf documentation" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: section \"Present But Cannot Be Compiled\"" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: section \"Present But Cannot Be Compiled\"" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the preprocessor's result" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the preprocessor's result" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: in the future, the compiler will take precedence" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: in the future, the compiler will take precedence" >&2;}
-+
-+ ;;
-+esac
-+{ echo "$as_me:$LINENO: checking for dev/bktr/ioctl_meteor.h" >&5
-+echo $ECHO_N "checking for dev/bktr/ioctl_meteor.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_cv_header_ioctl_meteor_h=$ac_header_preproc
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_meteor_h" >&5
-+echo "${ECHO_T}$ac_cv_header_ioctl_meteor_h" >&6; }
-+
-+fi
-+if test $ac_cv_header_ioctl_meteor_h = yes; then
-+ BSDVIDEOHDR=1
-+fi
-+
-+
-+ if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
-+ { echo "$as_me:$LINENO: checking for dev/bktr/ioctl_bt848.h" >&5
-+echo $ECHO_N "checking for dev/bktr/ioctl_bt848.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_bt848_h" >&5
-+echo "${ECHO_T}$ac_cv_header_ioctl_bt848_h" >&6; }
-+else
-+ # Is the header compilable?
-+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_bt848.h usability" >&5
-+echo $ECHO_N "checking dev/bktr/ioctl_bt848.h usability... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+$ac_includes_default
-+#include <dev/bktr/ioctl_bt848.h>
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_compile") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest.$ac_objext; then
-+ ac_header_compiler=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_header_compiler=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-+echo "${ECHO_T}$ac_header_compiler" >&6; }
-+
-+# Is the header present?
-+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_bt848.h presence" >&5
-+echo $ECHO_N "checking dev/bktr/ioctl_bt848.h presence... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+#include <dev/bktr/ioctl_bt848.h>
-+_ACEOF
-+if { (ac_try="$ac_cpp conftest.$ac_ext"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } >/dev/null && {
-+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ }; then
-+ ac_header_preproc=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_header_preproc=no
-+fi
-+
-+rm -f conftest.err conftest.$ac_ext
-+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-+echo "${ECHO_T}$ac_header_preproc" >&6; }
-+
-+# So? What about this header?
-+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-+ yes:no: )
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the compiler's result" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the compiler's result" >&2;}
-+ ac_header_preproc=yes
-+ ;;
-+ no:yes:* )
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: present but cannot be compiled" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: present but cannot be compiled" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: check for missing prerequisite headers?" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: check for missing prerequisite headers?" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: see the Autoconf documentation" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: see the Autoconf documentation" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: section \"Present But Cannot Be Compiled\"" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: section \"Present But Cannot Be Compiled\"" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the preprocessor's result" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the preprocessor's result" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: in the future, the compiler will take precedence" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: in the future, the compiler will take precedence" >&2;}
-+
-+ ;;
-+esac
-+{ echo "$as_me:$LINENO: checking for dev/bktr/ioctl_bt848.h" >&5
-+echo $ECHO_N "checking for dev/bktr/ioctl_bt848.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_cv_header_ioctl_bt848_h=$ac_header_preproc
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_bt848_h" >&5
-+echo "${ECHO_T}$ac_cv_header_ioctl_bt848_h" >&6; }
-+
-+fi
-+if test $ac_cv_header_ioctl_bt848_h = yes; then
-+ BSDVIDEOHDR=1
-+fi
-+
-+
-+# old path
-+if test "$ac_cv_header_ioctl_bt848_h" != yes -a "$ac_cv_header_ioctl_meteor_h" != yes; then
- if test "${ac_cv_header_machine_ioctl_meteor_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for machine/ioctl_meteor.h" >&5
- echo $ECHO_N "checking for machine/ioctl_meteor.h... $ECHO_C" >&6; }
-@@ -5123,18 +5385,18 @@ if test $ac_cv_header_machine_ioctl_mete
- fi
-
-
-- if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
-- { echo "$as_me:$LINENO: checking for i386/ioctl_meteor.h" >&5
--echo $ECHO_N "checking for i386/ioctl_meteor.h... $ECHO_C" >&6; }
--if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
-+ if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
-+ { echo "$as_me:$LINENO: checking for machine/ioctl_bt848.h" >&5
-+echo $ECHO_N "checking for machine/ioctl_bt848.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
--{ echo "$as_me:$LINENO: result: $ac_cv_header_i386_ioctl_meteor_h" >&5
--echo "${ECHO_T}$ac_cv_header_i386_ioctl_meteor_h" >&6; }
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_machine_ioctl_bt848_h" >&5
-+echo "${ECHO_T}$ac_cv_header_machine_ioctl_bt848_h" >&6; }
- else
- # Is the header compilable?
--{ echo "$as_me:$LINENO: checking i386/ioctl_meteor.h usability" >&5
--echo $ECHO_N "checking i386/ioctl_meteor.h usability... $ECHO_C" >&6; }
-+{ echo "$as_me:$LINENO: checking machine/ioctl_bt848.h usability" >&5
-+echo $ECHO_N "checking machine/ioctl_bt848.h usability... $ECHO_C" >&6; }
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
-@@ -5142,7 +5404,7 @@ cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
--#include <i386/ioctl_meteor.h>
-+#include <machine/ioctl_bt848.h>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (ac_try="$ac_compile"
-@@ -5174,15 +5436,15 @@ rm -f core conftest.err conftest.$ac_obj
- echo "${ECHO_T}$ac_header_compiler" >&6; }
-
- # Is the header present?
--{ echo "$as_me:$LINENO: checking i386/ioctl_meteor.h presence" >&5
--echo $ECHO_N "checking i386/ioctl_meteor.h presence... $ECHO_C" >&6; }
-+{ echo "$as_me:$LINENO: checking machine/ioctl_bt848.h presence" >&5
-+echo $ECHO_N "checking machine/ioctl_bt848.h presence... $ECHO_C" >&6; }
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
--#include <i386/ioctl_meteor.h>
-+#include <machine/ioctl_bt848.h>
- _ACEOF
- if { (ac_try="$ac_cpp conftest.$ac_ext"
- case "(($ac_try" in
-@@ -5215,43 +5477,44 @@ echo "${ECHO_T}$ac_header_preproc" >&6;
- # So? What about this header?
- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: proceeding with the compiler's result" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: proceeding with the compiler's result" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: proceeding with the compiler's result" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: present but cannot be compiled" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: present but cannot be compiled" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: check for missing prerequisite headers?" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: check for missing prerequisite headers?" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: see the Autoconf documentation" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: see the Autoconf documentation" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: section \"Present But Cannot Be Compiled\"" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: section \"Present But Cannot Be Compiled\"" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: proceeding with the preprocessor's result" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: proceeding with the preprocessor's result" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: in the future, the compiler will take precedence" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: in the future, the compiler will take precedence" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: present but cannot be compiled" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: present but cannot be compiled" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: check for missing prerequisite headers?" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: check for missing prerequisite headers?" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: see the Autoconf documentation" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: see the Autoconf documentation" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: section \"Present But Cannot Be Compiled\"" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: section \"Present But Cannot Be Compiled\"" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: proceeding with the preprocessor's result" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: proceeding with the preprocessor's result" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: in the future, the compiler will take precedence" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: in the future, the compiler will take precedence" >&2;}
-
- ;;
- esac
--{ echo "$as_me:$LINENO: checking for i386/ioctl_meteor.h" >&5
--echo $ECHO_N "checking for i386/ioctl_meteor.h... $ECHO_C" >&6; }
--if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
-+{ echo "$as_me:$LINENO: checking for machine/ioctl_bt848.h" >&5
-+echo $ECHO_N "checking for machine/ioctl_bt848.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
-- ac_cv_header_i386_ioctl_meteor_h=$ac_header_preproc
-+ ac_cv_header_machine_ioctl_bt848_h=$ac_header_preproc
- fi
--{ echo "$as_me:$LINENO: result: $ac_cv_header_i386_ioctl_meteor_h" >&5
--echo "${ECHO_T}$ac_cv_header_i386_ioctl_meteor_h" >&6; }
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_machine_ioctl_bt848_h" >&5
-+echo "${ECHO_T}$ac_cv_header_machine_ioctl_bt848_h" >&6; }
-
- fi
--if test $ac_cv_header_i386_ioctl_meteor_h = yes; then
-+if test $ac_cv_header_machine_ioctl_bt848_h = yes; then
- BSDVIDEOHDR=1
- fi
--
-+fi
-+# old path - end
-
- if test "${ac_cv_header_dev_ic_bt8xx_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for dev/ic/bt8xx.h" >&5
diff --git a/devel/ptlib/files/patch-plugins_vidinput_bsd_h b/devel/ptlib/files/patch-plugins_vidinput_bsd_h
deleted file mode 100644
index 204c610a4b3d..000000000000
--- a/devel/ptlib/files/patch-plugins_vidinput_bsd_h
+++ /dev/null
@@ -1,22 +0,0 @@
---- plugins/vidinput_bsd/vidinput_bsd.h.orig 2009-01-12 06:52:59.000000000 +0800
-+++ plugins/vidinput_bsd/vidinput_bsd.h 2009-02-23 16:33:18.000000000 +0800
-@@ -17,8 +17,10 @@
- #include <sys/param.h>
- # if __FreeBSD_version >= 502100
- #include <dev/bktr/ioctl_meteor.h>
-+#include <dev/bktr/ioctl_bt848.h>
- # else
- #include <machine/ioctl_meteor.h>
-+#include <machine/ioctl_bt848.h>
- # endif
- #endif
-
-@@ -62,7 +64,7 @@ public:
-
- static PStringList GetInputDeviceNames();
-
-- PStringList GetDeviceNames() const
-+ PStringArray GetDeviceNames() const
- { return GetInputDeviceNames(); }
-
- PINDEX GetMaxFrameBytes();
diff --git a/devel/ptlib/files/patch-src__ptlib__common__osutils.cxx b/devel/ptlib/files/patch-src__ptlib__common__osutils.cxx
deleted file mode 100644
index 742e7d8b2fe1..000000000000
--- a/devel/ptlib/files/patch-src__ptlib__common__osutils.cxx
+++ /dev/null
@@ -1,27 +0,0 @@
---- ./src/ptlib/common/osutils.cxx.orig 2009-02-14 22:04:50.000000000 +0100
-+++ ./src/ptlib/common/osutils.cxx 2009-02-14 22:04:55.000000000 +0100
-@@ -2152,21 +2152,21 @@
- PReadWriteMutex::Nest * PReadWriteMutex::GetNest() const
- {
- PWaitAndSignal mutex(nestingMutex);
-- return nestedThreads.GetAt(POrdinalKey((PINDEX)PThread::GetCurrentThreadId()));
-+ return nestedThreads.GetAt(POrdinalKey((unsigned long)PThread::GetCurrentThreadId()));
- }
-
-
- void PReadWriteMutex::EndNest()
- {
- nestingMutex.Wait();
-- nestedThreads.RemoveAt(POrdinalKey((PINDEX)PThread::GetCurrentThreadId()));
-+ nestedThreads.RemoveAt(POrdinalKey((unsigned long)PThread::GetCurrentThreadId()));
- nestingMutex.Signal();
- }
-
-
- PReadWriteMutex::Nest & PReadWriteMutex::StartNest()
- {
-- POrdinalKey threadId = (PINDEX)PThread::GetCurrentThreadId();
-+ POrdinalKey threadId = (unsigned long)PThread::GetCurrentThreadId();
-
- nestingMutex.Wait();
-
diff --git a/devel/ptlib/files/patch-src__ptlib__unix__svcproc.cxx b/devel/ptlib/files/patch-src__ptlib__unix__svcproc.cxx
deleted file mode 100644
index 6fe5f399d6b0..000000000000
--- a/devel/ptlib/files/patch-src__ptlib__unix__svcproc.cxx
+++ /dev/null
@@ -1,26 +0,0 @@
---- ./src/ptlib/unix/svcproc.cxx.orig 2009-02-14 22:03:27.000000000 +0100
-+++ ./src/ptlib/unix/svcproc.cxx 2009-02-14 22:03:32.000000000 +0100
-@@ -165,7 +165,7 @@
- #elif defined(BE_THREADS)
- thread_id tid = ::find_thread(NULL);
- #else
-- unsigned tid = (unsigned) pthread_self();
-+ unsigned long tid = (unsigned long)pthread_self();
- #endif
- *out << "ThreadID=0x"
- << setfill('0') << ::hex
-@@ -719,12 +719,12 @@
- #elif defined(BE_THREADS)
- thread_id tid = ::find_thread(NULL);
- #else
-- unsigned tid = (unsigned) pthread_self();
-+ unsigned long tid = (unsigned long)pthread_self();
- #endif
- PThread * thread_ptr = activeThreads.GetAt(tid);
-
- char msg[200];
-- sprintf(msg, "\nCaught %s, thread_id=%u", sigmsg, tid);
-+ sprintf(msg, "\nCaught %s, thread_id=%lu", sigmsg, tid);
-
- if (thread_ptr != NULL) {
- PString thread_name = thread_ptr->GetThreadName();
diff --git a/devel/ptlib/files/patch-src__ptlib__unix__tlib.cxx b/devel/ptlib/files/patch-src__ptlib__unix__tlib.cxx
deleted file mode 100644
index c0f11e3062ac..000000000000
--- a/devel/ptlib/files/patch-src__ptlib__unix__tlib.cxx
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./src/ptlib/unix/tlib.cxx.orig 2009-02-14 22:02:51.000000000 +0100
-+++ ./src/ptlib/unix/tlib.cxx 2009-02-14 22:03:09.000000000 +0100
-@@ -400,7 +400,7 @@
- {
- if (PProcessInstance != NULL) {
- PWaitAndSignal m(PProcessInstance->threadMutex);
-- PThread & thread = PProcessInstance->activeThreads[(unsigned)id];
-+ PThread & thread = PProcessInstance->activeThreads[(unsigned long)id];
- return thread.GetThreadName();
- }
- return psprintf("%08x", id);
diff --git a/devel/ptlib/files/patch-src__ptlib__unix__tlibthrd.cxx b/devel/ptlib/files/patch-src__ptlib__unix__tlibthrd.cxx
deleted file mode 100644
index 4339d642a33e..000000000000
--- a/devel/ptlib/files/patch-src__ptlib__unix__tlibthrd.cxx
+++ /dev/null
@@ -1,47 +0,0 @@
---- ./src/ptlib/unix/tlibthrd.cxx.orig 2009-02-14 22:04:11.000000000 +0100
-+++ ./src/ptlib/unix/tlibthrd.cxx 2009-02-14 22:04:18.000000000 +0100
-@@ -216,7 +216,7 @@
- {
- PWaitAndSignal m(threadMutex);
-
-- if (!activeThreads.Contains((unsigned)id))
-+ if (!activeThreads.Contains((unsigned long)id))
- return PFalse;
-
- return pthread_kill(id, sig) == 0;
-@@ -254,7 +254,7 @@
- #endif
-
- ((PProcess *)this)->activeThreads.DisallowDeleteObjects();
-- ((PProcess *)this)->activeThreads.SetAt((unsigned)PX_threadId, this);
-+ ((PProcess *)this)->activeThreads.SetAt((unsigned long)PX_threadId, this);
-
- PX_firstTimeStart = PFalse;
- }
-@@ -370,7 +370,7 @@
- PAssertPTHREAD(pthread_create, (&PX_threadId, &threadAttr, PX_ThreadStart, this));
-
- // put the thread into the thread list
-- process.activeThreads.SetAt((unsigned)PX_threadId, this);
-+ process.activeThreads.SetAt((unsigned long)PX_threadId, this);
- if (process.activeThreads.GetSize() > highWaterMark)
- newHighWaterMark = highWaterMark = process.activeThreads.GetSize();
-
-@@ -693,7 +693,7 @@
- {
- PProcess & process = PProcess::Current();
- process.threadMutex.Wait();
-- PThread * thread = process.activeThreads.GetAt((unsigned)pthread_self());
-+ PThread * thread = process.activeThreads.GetAt((unsigned long)pthread_self());
- process.threadMutex.Signal();
- return thread;
- }
-@@ -834,7 +834,7 @@
- }
-
- // remove this thread from the active thread list
-- process.activeThreads.SetAt((unsigned)id, NULL);
-+ process.activeThreads.SetAt((unsigned long)id, NULL);
-
- // delete the thread if required, note this is done this way to avoid
- // a race condition, the thread ID cannot be zeroed before the if!
diff --git a/devel/ptlib/files/patch-src_ptclib_vsdl.cxx b/devel/ptlib/files/patch-src_ptclib_vsdl.cxx
deleted file mode 100644
index 5485f017ae53..000000000000
--- a/devel/ptlib/files/patch-src_ptclib_vsdl.cxx
+++ /dev/null
@@ -1,11 +0,0 @@
---- src/ptclib/vsdl.cxx.orig 2008-09-25 14:50:57.000000000 +0800
-+++ src/ptclib/vsdl.cxx 2008-09-25 14:51:48.000000000 +0800
-@@ -44,7 +44,7 @@
- extern "C" {
-
- #if defined(P_FREEBSD)
--#include <SDL11/SDL.h>
-+#include <SDL.h>
- #else
- #include <SDL/SDL.h>
- #endif
diff --git a/devel/ptlib/pkg-descr b/devel/ptlib/pkg-descr
deleted file mode 100644
index c6a71d32ca39..000000000000
--- a/devel/ptlib/pkg-descr
+++ /dev/null
@@ -1,7 +0,0 @@
-PWLib is a multi-platform code library that can be used to write
-applications that will compile and run on the BSD Unixes, Windows, Linux
-and a few other Unix variants. It was developed by Equivalence Ltd Pty.
-
-It is used by the OpenH323 library.
-
-WWW: http://www.openh323.org/
diff --git a/devel/ptlib/pkg-plist b/devel/ptlib/pkg-plist
deleted file mode 100644
index 44cc2c7ec5b7..000000000000
--- a/devel/ptlib/pkg-plist
+++ /dev/null
@@ -1,184 +0,0 @@
-bin/ptlib-config
-include/ptbuildopts.h
-include/ptclib/asnber.h
-include/ptclib/asner.h
-include/ptclib/asnper.h
-include/ptclib/asnxer.h
-include/ptclib/cypher.h
-include/ptclib/delaychan.h
-include/ptclib/dtmf.h
-include/ptclib/enum.h
-include/ptclib/ftp.h
-include/ptclib/guid.h
-include/ptclib/html.h
-include/ptclib/http.h
-include/ptclib/httpform.h
-include/ptclib/httpsvc.h
-include/ptclib/inetmail.h
-include/ptclib/inetprot.h
-include/ptclib/ipacl.h
-include/ptclib/memfile.h
-include/ptclib/mime.h
-include/ptclib/modem.h
-include/ptclib/paec.h
-include/ptclib/pasn.h
-include/ptclib/pdns.h
-include/ptclib/pils.h
-include/ptclib/pldap.h
-include/ptclib/pnat.h
-include/ptclib/podbc.h
-include/ptclib/psasl.h
-include/ptclib/psnmp.h
-include/ptclib/psoap.h
-include/ptclib/psockbun.h
-include/ptclib/pssl.h
-include/ptclib/pstun.h
-include/ptclib/ptts.h
-include/ptclib/pvfiledev.h
-include/ptclib/pvidfile.h
-include/ptclib/pwavfile.h
-include/ptclib/pwavfiledev.h
-include/ptclib/pxml.h
-include/ptclib/pxmlrpc.h
-include/ptclib/pxmlrpcs.h
-include/ptclib/qchannel.h
-include/ptclib/random.h
-include/ptclib/rfc1155.h
-include/ptclib/shttpsvc.h
-include/ptclib/snmp.h
-include/ptclib/sockagg.h
-include/ptclib/socks.h
-include/ptclib/telnet.h
-include/ptclib/url.h
-include/ptclib/vsdl.h
-include/ptclib/vxml.h
-include/ptclib/xmpp.h
-include/ptclib/xmpp_c2s.h
-include/ptclib/xmpp_muc.h
-include/ptclib/xmpp_roster.h
-include/ptlib.h
-include/ptlib/MacMainIf.h
-include/ptlib/args.h
-include/ptlib/array.h
-include/ptlib/channel.h
-include/ptlib/conchan.h
-include/ptlib/config.h
-include/ptlib/contain.h
-include/ptlib/contain.inl
-include/ptlib/critsec.h
-include/ptlib/devplugin.h
-include/ptlib/dict.h
-include/ptlib/dynalink.h
-include/ptlib/ethsock.h
-include/ptlib/file.h
-include/ptlib/filepath.h
-include/ptlib/icmpsock.h
-include/ptlib/indchan.h
-include/ptlib/int64.h
-include/ptlib/ipdsock.h
-include/ptlib/ipsock.h
-include/ptlib/ipxsock.h
-include/ptlib/lists.h
-include/ptlib/mail.h
-include/ptlib/mutex.h
-include/ptlib/notifier.h
-include/ptlib/notifier_ext.h
-include/ptlib/object.h
-include/ptlib/osutil.inl
-include/ptlib/pdirect.h
-include/ptlib/pfactory.h
-include/ptlib/pipechan.h
-include/ptlib/plugin.h
-include/ptlib/pluginmgr.h
-include/ptlib/pprocess.h
-include/ptlib/psharedptr.h
-include/ptlib/pstring.h
-include/ptlib/psync.h
-include/ptlib/ptime.h
-include/ptlib/qos.h
-include/ptlib/remconn.h
-include/ptlib/safecoll.h
-include/ptlib/semaphor.h
-include/ptlib/serchan.h
-include/ptlib/sfile.h
-include/ptlib/smartptr.h
-include/ptlib/socket.h
-include/ptlib/sockets.h
-include/ptlib/sound.h
-include/ptlib/spxsock.h
-include/ptlib/svcproc.h
-include/ptlib/syncpoint.h
-include/ptlib/syncthrd.h
-include/ptlib/tcpsock.h
-include/ptlib/textfile.h
-include/ptlib/thread.h
-include/ptlib/timeint.h
-include/ptlib/timer.h
-include/ptlib/udpsock.h
-include/ptlib/unix/ptlib/beaudio.h
-include/ptlib/unix/ptlib/bevideo.h
-include/ptlib/unix/ptlib/channel.h
-include/ptlib/unix/ptlib/conchan.h
-include/ptlib/unix/ptlib/config.h
-include/ptlib/unix/ptlib/contain.h
-include/ptlib/unix/ptlib/critsec.h
-include/ptlib/unix/ptlib/dynalink.h
-include/ptlib/unix/ptlib/ethsock.h
-include/ptlib/unix/ptlib/file.h
-include/ptlib/unix/ptlib/filepath.h
-include/ptlib/unix/ptlib/icmpsock.h
-include/ptlib/unix/ptlib/ipdsock.h
-include/ptlib/unix/ptlib/ipsock.h
-include/ptlib/unix/ptlib/maccoreaudio.h
-include/ptlib/unix/ptlib/mutex.h
-include/ptlib/unix/ptlib/pdirect.h
-include/ptlib/unix/ptlib/pipechan.h
-include/ptlib/unix/ptlib/pmachdep.h
-include/ptlib/unix/ptlib/pprocess.h
-include/ptlib/unix/ptlib/ptime.h
-include/ptlib/unix/ptlib/ptlib.inl
-include/ptlib/unix/ptlib/remconn.h
-include/ptlib/unix/ptlib/resampler.h
-include/ptlib/unix/ptlib/semaphor.h
-include/ptlib/unix/ptlib/serchan.h
-include/ptlib/unix/ptlib/sfile.h
-include/ptlib/unix/ptlib/shmvideo.h
-include/ptlib/unix/ptlib/socket.h
-include/ptlib/unix/ptlib/sound.h
-include/ptlib/unix/ptlib/svcproc.h
-include/ptlib/unix/ptlib/syncpoint.h
-include/ptlib/unix/ptlib/tcpsock.h
-include/ptlib/unix/ptlib/textfile.h
-include/ptlib/unix/ptlib/thread.h
-include/ptlib/unix/ptlib/timeint.h
-include/ptlib/unix/ptlib/timer.h
-include/ptlib/unix/ptlib/udpsock.h
-include/ptlib/unix/ptlib/video.h
-include/ptlib/unix/ptlib/videoio.h
-include/ptlib/vconvert.h
-include/ptlib/video.h
-include/ptlib/videoio.h
-include/ptlib/videoio1394dc.h
-lib/libpt.so
-lib/libpt.so.2
-lib/libpt_s.a
-libdata/pkgconfig/ptlib.pc
-share/ptlib/make/common.mak
-share/ptlib/make/lib.mak
-share/ptlib/make/plugins.mak
-share/ptlib/make/ptbuildopts.mak
-share/ptlib/make/ptlib-config
-share/ptlib/make/ptlib.mak
-share/ptlib/make/unix.mak
-%%BSDVIDEO%%lib/ptlib-2.4.4/devices/videoinput/bsdvideo_pwplugin.so
-%%BSDVIDEO%%lib/ptlib-2.4.4/devices/sound/oss_pwplugin.so
-@dirrm share/ptlib/make
-@dirrm share/ptlib
-@dirrm include/ptlib/unix/ptlib
-@dirrm include/ptlib/unix
-@dirrm include/ptlib
-@dirrm include/ptclib
-%%BSDVIDEO%%@dirrm lib/ptlib-2.4.4/devices/videoinput
-%%BSDVIDEO%%@dirrm lib/ptlib-2.4.4/devices/sound
-%%BSDVIDEO%%@dirrm lib/ptlib-2.4.4/devices
-%%BSDVIDEO%%@dirrm lib/ptlib-2.4.4